# cagire-project

Project data model and persistence for Cagire.

## Modules

| Module | Description |
|--------|-------------|
| `project` | `Project`, `Bank`, `Pattern`, `Step` structs and constants |
| `file` | File I/O (save/load) |
| `share` | Project sharing/export |

## Key Types

- **`Project`** — Top-level container: banks of patterns
- **`Bank`** — Collection of patterns
- **`Pattern`** — Sequence of steps with metadata
- **`Step`** — Single step holding a Forth script

## Constants

`MAX_BANKS=32`, `MAX_PATTERNS=32`, `MAX_STEPS=1024`
